Autodesk.Revit.DB.Structure.ReinforcementAbbreviationTag
类是用于表示钢筋缩略语标记的Revit API类。
该类继承自Autodesk.Revit.DB.Structure.ReinforcementTag
类。
ReinforcementAbbreviationTag(Document doc, IList<ElementId> reinforcedBarIds, XYZ tagLocation)
:使用给定的文档对象、钢筋Id列表、标记位置创建钢筋缩略语标记。
IList<ElementId> ReinforcedBarIds
:获取或设置标记钢筋对象的Id列表。
string AbbreviationText
:获取或设置缩略语文本。
void SetSingleMark(ElementId markId)
:将标记设置为标记标识。
void SetMultipleMarks(ElementId startMarkId, ElementId endMarkId)
:将标记设置为起始标记和结束标记之间的一系列标记。
以下示例显示如何创建一个钢筋缩略语标记。
//获取当前文档对象
Document doc = commandData.Application.ActiveUIDocument.Document;
//获取一个钢筋对象
FilteredElementCollector collector = new FilteredElementCollector(doc);
IEnumerable<Rebar> rebars = collector.OfClass(typeof(Rebar)).Cast<Rebar>();
Rebar selectedRebar = rebars.First();
//创建钢筋缩略语标记
List<ElementId> rebarIds = new List<ElementId>();
rebarIds.Add(selectedRebar.Id);
XYZ tagLocation = selectedRebar.get_BoundingBox(null).Min;
ReinforcementAbbreviationTag abbreviationTag = new ReinforcementAbbreviationTag(doc, rebarIds, tagLocation);
//设置标记文本和样式
abbreviationTag.AbbreviationText = "2D1";
abbreviationTag.TagHeadPosition = TagHeadPosition.P3;
abbreviationTag.TagHeadOrientation = TagHeadOrientation.Perpendicular;
Autodesk.Revit.Exceptions.ArgumentException
:如果所提供的reinforcedBarIds
列表为空,则会引发此异常。